VMTKBIFURCATIONPROFILES(1)

NAME
vmtkbifurcationprofiles - vmtk script vmtkbifurcationprofiles

DESCRIPTION
Automatic piping vmtkbifurcationprofiles Parsing options vmtkbifurcationprofiles

vmtkbifurcationprofiles : compute bifurcation profiles, i.e. the

    bifurcation splitting lines. The script takes in input the surface and the relative centerlines, both already split into branches.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface, already split into

    branches

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines,

    already split into branches

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius: name of the array where centerline radius is stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-tractidsarray TractIdsArrayName (str,1); default=TractIds: name of

    the array where centerline tract ids are stored

-blankingarray BlankingArrayName (str,1); default=Blanking: name of

    the array where centerline blanking information about branches is stored

-bifurcationprofilegroupids BifurcationProfileGroupIdsArrayName

    (str,1); default=BifurcationProfileGroupIds: name of the array where the group id to which each profile belongs has to be stored

-bifurcationprofilebifurcationgroupids

    BifurcationProfileBifurcationGroupIdsArrayName (str,1); default=BifurcationProfileBifurcationGroupIds: name of the array where the bifurcation group id to which each profile belongs has to be stored

-bifurcationprofileorientation

    BifurcationProfileOrientationArrayName (str,1); default=BifurcationProfileOrientation: name of the array containing 0 if a profile is upstream and 0 downstream its bifurcation

-ofile BifurcationProfilesOutputFileName (str,1): filename for the

    default BifurcationProfiles writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o BifurcationProfiles (vtkPolyData,1): the output sections

-bifurcationprofilegroupids BifurcationProfileGroupIdsArrayName

    (str,1); default=BifurcationProfileGroupIds: name of the array where the group id to which each profile belongs are stored

-bifurcationprofilebifurcationgroupids

    BifurcationProfileBifurcationGroupIdsArrayName (str,1); default=BifurcationProfileBifurcationGroupIds: name of the array where the bifurcation group id to which each profile belongs has to be stored

-bifurcationprofileorientation

    BifurcationProfileOrientationArrayName (str,1); default=BifurcationProfileOrientation: name of the array containing 0 if a profile is upstream and 0 downstream its bifurcation